MONGOC_CLIENT_ENCRYPTION_ENCRYPT_RANGE_OPTS_NEW(3)

NAME
mongoc_client_encryption_encrypt_range_opts_new - mongoc_client_encryption_encrypt_range_opts_new()

SYNOPSIS

mongoc_client_encryption_encrypt_range_opts_t *
mongoc_client_encryption_encrypt_range_opts_new (void);

IMPORTANT: The Range algorithm is experimental only and not intended for public use. It is subject to breaking changes. This API is part of the experimental Queryable Encryption API and may be subject to breaking changes in future releases.

New in version 1.24.0.

RETURNS

A new mongoc_client_encryption_encrypt_range_opts_t that must be freed with mongoc_client_encryption_encrypt_range_opts_destroy().

SEE ALSO:
mongoc_client_encryption_encrypt_range_opts_t
mongoc_client_encryption_encrypt_range_opts_destroy()

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc